Up

# NSColorPicker

### Authors

Scott Christley (`scottc@net-community.com`)
Jonathan Gapen (`jagapen@whitewater.chem.wisc.edu`)

> Abstract superclass for NSColorPanel color pickers

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSColorPicker class

## NSColorPicker : NSObject

> Declared in:
>   AppKit/NSColorPicker.h

> Conforms to:
>   NSColorPickingDefault

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -alphaControlAddedOrRemoved:
- -attachColorList:
- -colorPanel
- -detachColorList:
- -initWithPickerMask:colorPanel:
- -insertNewButtonImage:in:
- -provideNewButtonImage
- -setMode:
- -viewSizeChanged:

### alphaControlAddedOrRemoved:

- (void) alphaControlAddedOrRemoved: (id)sender;

Description forthcoming.

### attachColorList:

- (void) attachColorList: (NSColorList*)colorList;

Description forthcoming.

### colorPanel

- (NSColorPanel*) colorPanel;

Description forthcoming.

### detachColorList:

- (void) detachColorList: (NSColorList*)colorList;

Description forthcoming.

### initWithPickerMask:colorPanel:

- (id) initWithPickerMask: (int)aMask colorPanel: (NSColorPanel*)colorPanel;

Description forthcoming.

### insertNewButtonImage:in:

- (void) insertNewButtonImage: (NSImage*)newImage in: (NSButtonCell*)newButtonCell;

Description forthcoming.

### provideNewButtonImage

- (NSImage*) provideNewButtonImage;

Description forthcoming.

### setMode:

- (void) setMode: (int)mode;

Description forthcoming.

### viewSizeChanged:

- (void) viewSizeChanged: (id)sender;

Description forthcoming.

Up